/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.admin.server.ReloadLogSettings");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.team.repository.web.client.internal.ProvisioningClient");
dojo.require("com.ibm.team.repository.web.transport.internal.ProvisionResponseHandler");

dojo.declare("com.ibm.team.repository.web.ui.internal.admin.server.ReloadLogSettings", [dijit._Widget, dijit._Templated], {

	templateString: "<div><div><button dojoAttachEvent=\"onclick: handleReloadLogSettings\">Reload Log Settings</button></div><div dojoAttachPoint=\"message\"></div></div>",

	handleReloadLogSettings: function(e) {
		dojo.stopEvent(e);
		var prh = new com.ibm.team.repository.web.transport.internal.ProvisionResponseHandler(this, "_displayResult", "_requestFailed");
		com.ibm.team.repository.web.client.internal.ProvisioningClient.reloadLogSettings(prh);
	},
	
	_displayResult: function(response, args) {
		this.message.innerHTML = "Log Settings reloaded = ["+response.reloaded+"]";		
	},
	
	_requestFailed: function(errorObj) {
		this.message.innerHTML = "Error while trying to reload Log Settings ["+errorObj.status+"]["+errorObj.statusText+"]";
	}	
});	